use strict;
use lib '/home/sberry/src/megasquirt/lib/';

use MegaSquirt::VE;
use MegaSquirt::DataLog;
use Data::Dumper;

my $vex_file = $ARGV[0];
die 'need vex file' unless $vex_file;

my $data;
open FILE, $vex_file;
while (<FILE>) {
    $data .= $_;
}

my $ve;
eval {
    $ve = MegaSquirt::VE->new_from_string({ data => $data });
};
warn $@;
my $original = $ve->dump_matrix;
print $original;
my $cnv = $ve->convert_map({ rpm_size => 12,
			     kpa_size => 12 });

my $converted = $ve->dump_matrix;

print $cnv->out;
