use strict;
use lib '/home/sberry/src/megasquirt/lib/';

use MegaSquirt::VE;
use MegaSquirt::DataLog;
use Data::Dumper;

my $vex_file = $ARGV[0];
die 'need vex file' unless $vex_file;

my ($rpm, $kpa) = ($ARGV[1], $ARGV[2]);

my $ve;
eval {
    $ve = MegaSquirt::VE->new_from_file({ filename => $vex_file });
};
 
my $original = $ve->dump_matrix;
print $original;

print "VE: " . $ve->calculate_ve({ rpm => $rpm,
				   kpa => $kpa }) . "\n";

#my $converted = $ve->dump_matrix

